# Run tests in check section
%bcond_without check

# https://github.com/microcosm-cc/bluemonday
%global goipath         github.com/microcosm-cc/bluemonday
Version:                1.0.21

%gometa

%global common_description %{expand:
bluemonday is a HTML sanitizer implemented in Go. It is fast and highly 
configurable.

bluemonday takes untrusted user generated content as an input, and will 
return HTML that has been sanitised against a whitelist of approved HTML 
elements and attributes so that you can safely include the content in your 
web page.}

%global golicenses LICENSE.md
%global godocs README.md CREDITS.md CONTRIBUTING.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Fast golang HTML sanitizer
Group:          Development/Other
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aymerick/douceur/parser)
BuildRequires: golang(golang.org/x/net/html)

%description
%{common_description}

%gopkg

%prep
%goprep

for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.md
%doc CONTRIBUTING.md CREDITS.md README.md
%{_bindir}/*

%gopkgfiles



%changelog
* Fri Nov 11 2022 pterjan <pterjan> 1.0.21-1.mga9
+ Revision: 1905570
- Update to 1.0.21

* Wed Mar 16 2022 umeabot <umeabot> 1.0.17-2.mga9
+ Revision: 1794766
- Mageia 9 Mass Rebuild

* Sun Jan 30 2022 guillomovitch <guillomovitch> 1.0.17-1.mga9
+ Revision: 1770594
- new version 1.0.17

* Fri Sep 18 2020 joequant <joequant> 1.0.2-1.mga8
+ Revision: 1628321
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 1.0.1-1.mga7
+ Revision: 1334724
- imported package golang-github-microcosm-cc-bluemonday

